| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
optoICC.registers.icc_registers.TransformationStage Class Reference
Inheritance diagram for optoICC.registers.icc_registers.TransformationStage:

## Public Member Functions
| __init__ (self, board=None, numberOfChannels=4, sysid=0xE0)
| SetNomrmalizationMask (self, channel, value)
| SetOffset (self, offset)
| GetOffset (self)
| SetGain (self, offset)
| GetGain (self, offset)
| SetAddValueOnInput (self)
| SetAddValueOnOutput (self)
| SetAddNoValue (self)
| pad_matrix (self, matrix, n=4, m=4)
| SetMatrixPad (self, matrix)
| SetMatrix (self, matrix)
| SetMatrixAsVector (self, index, vector)
| GetMatrixAsVector (self, index, count)
| GetLastOutput (self)
| get_output (self, n)
| get_output_id (self, n)
| SetPatternSegment (self, index, vector)
| GetPatternSegment (self, addr, int index, int count)

## Public Attributes
| name
| sys_id
| gain
| offset
| config
| out0
| out1
| out2
| out3
| normal_mask0
| normal_mask1
| normal_mask2
| normal_mask3
| vector
| last_output
| M
| N
| AddValueOnInput
| AddValueOnOutput
| AddNoValue

## Detailed Description

    Device Functionality - MatrixTransformation "OUTPUT TRANSFORM STAGE SYSTEM BASE"
    System ID: 0x26

    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Register Name             | Id   | Type        | Unit | Range | Default | Comment                                   |
    +===========================+======+=============+======+=======+=========+===========================================+
    | gain                      | 0x00 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | offset                    | 0x01 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoICC.registers.icc_registers.TransformationStage.__init__ | ( |  | self,
|  |  | board = `None`,
|  |  | numberOfChannels = `4`,
|  |  | sysid = `0xE0`
| ) |  |

## Member Function Documentation

## ◆ SetNomrmalizationMask()

optoICC.registers.icc_registers.TransformationStage.SetNomrmalizationMask | ( |  | self,
|  |  | channel,
|  |  | value
| ) |  |

## ◆ SetOffset()

optoICC.registers.icc_registers.TransformationStage.SetOffset | ( |  | self,
|  |  | offset
| ) |  |

## ◆ GetOffset()

optoICC.registers.icc_registers.TransformationStage.GetOffset | ( |  | self | ) |

## ◆ SetGain()

optoICC.registers.icc_registers.TransformationStage.SetGain | ( |  | self,
|  |  | offset
| ) |  |

## ◆ GetGain()

optoICC.registers.icc_registers.TransformationStage.GetGain | ( |  | self,
|  |  | offset
| ) |  |

## ◆ SetAddValueOnInput()

optoICC.registers.icc_registers.TransformationStage.SetAddValueOnInput | ( |  | self | ) |

## ◆ SetAddValueOnOutput()

optoICC.registers.icc_registers.TransformationStage.SetAddValueOnOutput | ( |  | self | ) |

## ◆ SetAddNoValue()

optoICC.registers.icc_registers.TransformationStage.SetAddNoValue | ( |  | self | ) |

## ◆ pad_matrix()

optoICC.registers.icc_registers.TransformationStage.pad_matrix | ( |  | self,
|  |  | matrix,
|  |  | n = `4`,
|  |  | m = `4`
| ) |  |

## ◆ SetMatrixPad()

optoICC.registers.icc_registers.TransformationStage.SetMatrixPad | ( |  | self,
|  |  | matrix
| ) |  |

## ◆ SetMatrix()

optoICC.registers.icc_registers.TransformationStage.SetMatrix | ( |  | self,
|  |  | matrix
| ) |  |

## ◆ SetMatrixAsVector()

optoICC.registers.icc_registers.TransformationStage.SetMatrixAsVector | ( |  | self,
|  |  | index,
|  |  | vector
| ) |  |

## ◆ GetMatrixAsVector()

optoICC.registers.icc_registers.TransformationStage.GetMatrixAsVector | ( |  | self,
|  |  | index,
|  |  | count
| ) |  |

## ◆ GetLastOutput()

optoICC.registers.icc_registers.TransformationStage.GetLastOutput | ( |  | self | ) |

## ◆ get_output()

optoICC.registers.icc_registers.TransformationStage.get_output | ( |  | self,
|  |  | n
| ) |  |

## ◆ get_output_id()

optoICC.registers.icc_registers.TransformationStage.get_output_id | ( |  | self,
|  |  | n
| ) |  |

## ◆ SetPatternSegment()

optoICC.registers.icc_registers.TransformationStage.SetPatternSegment | ( |  | self,
|  |  | index,
|  |  | vector
| ) |  |

## ◆ GetPatternSegment()

optoICC.registers.icc_registers.TransformationStage.GetPatternSegment | ( |  | self,
|  |  | addr,
|  | int | index,
|  | int | count
| ) |  |

## Member Data Documentation

## ◆ name

optoICC.registers.icc_registers.TransformationStage.name

## ◆ sys_id

optoICC.registers.icc_registers.TransformationStage.sys_id

## ◆ gain

optoICC.registers.icc_registers.TransformationStage.gain

## ◆ offset

optoICC.registers.icc_registers.TransformationStage.offset

## ◆ config

optoICC.registers.icc_registers.TransformationStage.config

## ◆ out0

optoICC.registers.icc_registers.TransformationStage.out0

## ◆ out1

optoICC.registers.icc_registers.TransformationStage.out1

## ◆ out2

optoICC.registers.icc_registers.TransformationStage.out2

## ◆ out3

optoICC.registers.icc_registers.TransformationStage.out3

## ◆ normal_mask0

optoICC.registers.icc_registers.TransformationStage.normal_mask0

## ◆ normal_mask1

optoICC.registers.icc_registers.TransformationStage.normal_mask1

## ◆ normal_mask2

optoICC.registers.icc_registers.TransformationStage.normal_mask2

## ◆ normal_mask3

optoICC.registers.icc_registers.TransformationStage.normal_mask3

## ◆ vector

optoICC.registers.icc_registers.TransformationStage.vector

## ◆ last_output

optoICC.registers.icc_registers.TransformationStage.last_output

## ◆ M

optoICC.registers.icc_registers.TransformationStage.M

## ◆ N

optoICC.registers.icc_registers.TransformationStage.N

## ◆ AddValueOnInput

optoICC.registers.icc_registers.TransformationStage.AddValueOnInput

## ◆ AddValueOnOutput

optoICC.registers.icc_registers.TransformationStage.AddValueOnOutput

## ◆ AddNoValue

optoICC.registers.icc_registers.TransformationStage.AddNoValue